<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::IConfig Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1IConfig.html">IConfig</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structCatch_1_1IConfig-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::IConfig Struct Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::IConfig:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1IConfig__inherit__graph.png" border="0" usemap="#Catch_1_1IConfig_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1IConfig_inherit__map" id="Catch_1_1IConfig_inherit__map">
<area shape="rect" title=" " alt="" coords="27,80,139,107"/>
<area shape="rect" href="classCatch_1_1NonCopyable.html" title=" " alt="" coords="5,5,160,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::IConfig:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1IConfig__coll__graph.png" border="0" usemap="#Catch_1_1IConfig_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1IConfig_coll__map" id="Catch_1_1IConfig_coll__map">
<area shape="rect" title=" " alt="" coords="27,80,139,107"/>
<area shape="rect" href="classCatch_1_1NonCopyable.html" title=" " alt="" coords="5,5,160,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adadf7c57478e4b0c83bea5b38d2dbc87"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#adadf7c57478e4b0c83bea5b38d2dbc87">~IConfig</a> ()</td></tr>
<tr class="separator:adadf7c57478e4b0c83bea5b38d2dbc87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadb95f849359de1e6eb915aab063e542"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#aadb95f849359de1e6eb915aab063e542">allowThrows</a> () const =0</td></tr>
<tr class="separator:aadb95f849359de1e6eb915aab063e542"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4c3fe0825e7e6ebdcfa6abc7abf3617"><td class="memItemLeft" align="right" valign="top">virtual std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#aa4c3fe0825e7e6ebdcfa6abc7abf3617">stream</a> () const =0</td></tr>
<tr class="separator:aa4c3fe0825e7e6ebdcfa6abc7abf3617"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2315800a05c19db71518b1edc39d43b"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#aa2315800a05c19db71518b1edc39d43b">name</a> () const =0</td></tr>
<tr class="separator:aa2315800a05c19db71518b1edc39d43b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f1b0391019b9ce69921527a684eab23"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a2f1b0391019b9ce69921527a684eab23">includeSuccessfulResults</a> () const =0</td></tr>
<tr class="separator:a2f1b0391019b9ce69921527a684eab23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b886c5aad9001e90f63a7cf0726af63"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a5b886c5aad9001e90f63a7cf0726af63">shouldDebugBreak</a> () const =0</td></tr>
<tr class="separator:a5b886c5aad9001e90f63a7cf0726af63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75d970c495a28e46b8e9b04a1d32149f"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a75d970c495a28e46b8e9b04a1d32149f">warnAboutMissingAssertions</a> () const =0</td></tr>
<tr class="separator:a75d970c495a28e46b8e9b04a1d32149f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30590623e3918825f2896c2262bf6fe3"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a30590623e3918825f2896c2262bf6fe3">warnAboutNoTests</a> () const =0</td></tr>
<tr class="separator:a30590623e3918825f2896c2262bf6fe3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a363f3388a439d02217f37198eff96744"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a363f3388a439d02217f37198eff96744">abortAfter</a> () const =0</td></tr>
<tr class="separator:a363f3388a439d02217f37198eff96744"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa288bf92ccd0aafd85409d8aefdf738c"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#aa288bf92ccd0aafd85409d8aefdf738c">showInvisibles</a> () const =0</td></tr>
<tr class="separator:aa288bf92ccd0aafd85409d8aefdf738c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaa97d281484278291f0d3db6d404aeb"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1ShowDurations.html#a82fa0174554187220c1eda175f122ee1">ShowDurations::OrNot</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#abaa97d281484278291f0d3db6d404aeb">showDurations</a> () const =0</td></tr>
<tr class="separator:abaa97d281484278291f0d3db6d404aeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a160c6f6e19ed6ae946f7a9e737099189"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a160c6f6e19ed6ae946f7a9e737099189">minDuration</a> () const =0</td></tr>
<tr class="separator:a160c6f6e19ed6ae946f7a9e737099189"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03a2fd8221d896d12bf3684ab2a03588"><td class="memItemLeft" align="right" valign="top">virtual TestSpec const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a03a2fd8221d896d12bf3684ab2a03588">testSpec</a> () const =0</td></tr>
<tr class="separator:a03a2fd8221d896d12bf3684ab2a03588"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49a475bbeb3180c06799d6d958914649"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a49a475bbeb3180c06799d6d958914649">hasTestFilters</a> () const =0</td></tr>
<tr class="separator:a49a475bbeb3180c06799d6d958914649"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b8a299344a493eb98c12faae48421d7"><td class="memItemLeft" align="right" valign="top">virtual std::vector&lt; std::string &gt; const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a1b8a299344a493eb98c12faae48421d7">getTestsOrTags</a> () const =0</td></tr>
<tr class="separator:a1b8a299344a493eb98c12faae48421d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fc59c9aba1d4018538d5526daa5eb78"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1RunTests.html#ab56bd851b1dd085869992d1a9d73dc5d">RunTests::InWhatOrder</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a0fc59c9aba1d4018538d5526daa5eb78">runOrder</a> () const =0</td></tr>
<tr class="separator:a0fc59c9aba1d4018538d5526daa5eb78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae049eb45979d841073fa65d1094c7f14"><td class="memItemLeft" align="right" valign="top">virtual unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#ae049eb45979d841073fa65d1094c7f14">rngSeed</a> () const =0</td></tr>
<tr class="separator:ae049eb45979d841073fa65d1094c7f14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ec19a6b486eb5b5015cf7738fee026"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1UseColour.html#a6aa78da0c2de7539bb9e3757e204a3f1">UseColour::YesOrNo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a87ec19a6b486eb5b5015cf7738fee026">useColour</a> () const =0</td></tr>
<tr class="separator:a87ec19a6b486eb5b5015cf7738fee026"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc801995e115557f90e41f3d6e96908d"><td class="memItemLeft" align="right" valign="top">virtual std::vector&lt; std::string &gt; const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#afc801995e115557f90e41f3d6e96908d">getSectionsToRun</a> () const =0</td></tr>
<tr class="separator:afc801995e115557f90e41f3d6e96908d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55aff5924bdbb3f558775821b1eb4b3d"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceCatch.html#af85c0d46dfe687d923a157362fd07737">Verbosity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a55aff5924bdbb3f558775821b1eb4b3d">verbosity</a> () const =0</td></tr>
<tr class="separator:a55aff5924bdbb3f558775821b1eb4b3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9aa1eafdbe510e27bf319233969ee2c"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#aa9aa1eafdbe510e27bf319233969ee2c">benchmarkNoAnalysis</a> () const =0</td></tr>
<tr class="separator:aa9aa1eafdbe510e27bf319233969ee2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a583734a61796b495b80779a6540eb6cc"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a583734a61796b495b80779a6540eb6cc">benchmarkSamples</a> () const =0</td></tr>
<tr class="separator:a583734a61796b495b80779a6540eb6cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1ec73d460a2b58c7c9b022a430a34dd"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#ae1ec73d460a2b58c7c9b022a430a34dd">benchmarkConfidenceInterval</a> () const =0</td></tr>
<tr class="separator:ae1ec73d460a2b58c7c9b022a430a34dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b8e5581be01f4773593f8b85eb7db98"><td class="memItemLeft" align="right" valign="top">virtual unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a3b8e5581be01f4773593f8b85eb7db98">benchmarkResamples</a> () const =0</td></tr>
<tr class="separator:a3b8e5581be01f4773593f8b85eb7db98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a516879e39f2e46f69bb4ef1f1fe7023c"><td class="memItemLeft" align="right" valign="top">virtual std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a516879e39f2e46f69bb4ef1f1fe7023c">benchmarkWarmupTime</a> () const =0</td></tr>
<tr class="separator:a516879e39f2e46f69bb4ef1f1fe7023c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adadf7c57478e4b0c83bea5b38d2dbc87"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#adadf7c57478e4b0c83bea5b38d2dbc87">~IConfig</a> ()</td></tr>
<tr class="separator:adadf7c57478e4b0c83bea5b38d2dbc87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadb95f849359de1e6eb915aab063e542"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#aadb95f849359de1e6eb915aab063e542">allowThrows</a> () const =0</td></tr>
<tr class="separator:aadb95f849359de1e6eb915aab063e542"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4c3fe0825e7e6ebdcfa6abc7abf3617"><td class="memItemLeft" align="right" valign="top">virtual std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#aa4c3fe0825e7e6ebdcfa6abc7abf3617">stream</a> () const =0</td></tr>
<tr class="separator:aa4c3fe0825e7e6ebdcfa6abc7abf3617"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2315800a05c19db71518b1edc39d43b"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#aa2315800a05c19db71518b1edc39d43b">name</a> () const =0</td></tr>
<tr class="separator:aa2315800a05c19db71518b1edc39d43b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f1b0391019b9ce69921527a684eab23"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a2f1b0391019b9ce69921527a684eab23">includeSuccessfulResults</a> () const =0</td></tr>
<tr class="separator:a2f1b0391019b9ce69921527a684eab23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b886c5aad9001e90f63a7cf0726af63"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a5b886c5aad9001e90f63a7cf0726af63">shouldDebugBreak</a> () const =0</td></tr>
<tr class="separator:a5b886c5aad9001e90f63a7cf0726af63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75d970c495a28e46b8e9b04a1d32149f"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a75d970c495a28e46b8e9b04a1d32149f">warnAboutMissingAssertions</a> () const =0</td></tr>
<tr class="separator:a75d970c495a28e46b8e9b04a1d32149f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30590623e3918825f2896c2262bf6fe3"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a30590623e3918825f2896c2262bf6fe3">warnAboutNoTests</a> () const =0</td></tr>
<tr class="separator:a30590623e3918825f2896c2262bf6fe3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a363f3388a439d02217f37198eff96744"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a363f3388a439d02217f37198eff96744">abortAfter</a> () const =0</td></tr>
<tr class="separator:a363f3388a439d02217f37198eff96744"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa288bf92ccd0aafd85409d8aefdf738c"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#aa288bf92ccd0aafd85409d8aefdf738c">showInvisibles</a> () const =0</td></tr>
<tr class="separator:aa288bf92ccd0aafd85409d8aefdf738c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaa97d281484278291f0d3db6d404aeb"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1ShowDurations.html#a82fa0174554187220c1eda175f122ee1">ShowDurations::OrNot</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#abaa97d281484278291f0d3db6d404aeb">showDurations</a> () const =0</td></tr>
<tr class="separator:abaa97d281484278291f0d3db6d404aeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a160c6f6e19ed6ae946f7a9e737099189"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a160c6f6e19ed6ae946f7a9e737099189">minDuration</a> () const =0</td></tr>
<tr class="separator:a160c6f6e19ed6ae946f7a9e737099189"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03a2fd8221d896d12bf3684ab2a03588"><td class="memItemLeft" align="right" valign="top">virtual TestSpec const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a03a2fd8221d896d12bf3684ab2a03588">testSpec</a> () const =0</td></tr>
<tr class="separator:a03a2fd8221d896d12bf3684ab2a03588"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49a475bbeb3180c06799d6d958914649"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a49a475bbeb3180c06799d6d958914649">hasTestFilters</a> () const =0</td></tr>
<tr class="separator:a49a475bbeb3180c06799d6d958914649"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b8a299344a493eb98c12faae48421d7"><td class="memItemLeft" align="right" valign="top">virtual std::vector&lt; std::string &gt; const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a1b8a299344a493eb98c12faae48421d7">getTestsOrTags</a> () const =0</td></tr>
<tr class="separator:a1b8a299344a493eb98c12faae48421d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fc59c9aba1d4018538d5526daa5eb78"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1RunTests.html#ab56bd851b1dd085869992d1a9d73dc5d">RunTests::InWhatOrder</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a0fc59c9aba1d4018538d5526daa5eb78">runOrder</a> () const =0</td></tr>
<tr class="separator:a0fc59c9aba1d4018538d5526daa5eb78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae049eb45979d841073fa65d1094c7f14"><td class="memItemLeft" align="right" valign="top">virtual unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#ae049eb45979d841073fa65d1094c7f14">rngSeed</a> () const =0</td></tr>
<tr class="separator:ae049eb45979d841073fa65d1094c7f14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ec19a6b486eb5b5015cf7738fee026"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1UseColour.html#a6aa78da0c2de7539bb9e3757e204a3f1">UseColour::YesOrNo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a87ec19a6b486eb5b5015cf7738fee026">useColour</a> () const =0</td></tr>
<tr class="separator:a87ec19a6b486eb5b5015cf7738fee026"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc801995e115557f90e41f3d6e96908d"><td class="memItemLeft" align="right" valign="top">virtual std::vector&lt; std::string &gt; const  &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#afc801995e115557f90e41f3d6e96908d">getSectionsToRun</a> () const =0</td></tr>
<tr class="separator:afc801995e115557f90e41f3d6e96908d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55aff5924bdbb3f558775821b1eb4b3d"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceCatch.html#af85c0d46dfe687d923a157362fd07737">Verbosity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a55aff5924bdbb3f558775821b1eb4b3d">verbosity</a> () const =0</td></tr>
<tr class="separator:a55aff5924bdbb3f558775821b1eb4b3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9aa1eafdbe510e27bf319233969ee2c"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#aa9aa1eafdbe510e27bf319233969ee2c">benchmarkNoAnalysis</a> () const =0</td></tr>
<tr class="separator:aa9aa1eafdbe510e27bf319233969ee2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a583734a61796b495b80779a6540eb6cc"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a583734a61796b495b80779a6540eb6cc">benchmarkSamples</a> () const =0</td></tr>
<tr class="separator:a583734a61796b495b80779a6540eb6cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1ec73d460a2b58c7c9b022a430a34dd"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#ae1ec73d460a2b58c7c9b022a430a34dd">benchmarkConfidenceInterval</a> () const =0</td></tr>
<tr class="separator:ae1ec73d460a2b58c7c9b022a430a34dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b8e5581be01f4773593f8b85eb7db98"><td class="memItemLeft" align="right" valign="top">virtual unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a3b8e5581be01f4773593f8b85eb7db98">benchmarkResamples</a> () const =0</td></tr>
<tr class="separator:a3b8e5581be01f4773593f8b85eb7db98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a516879e39f2e46f69bb4ef1f1fe7023c"><td class="memItemLeft" align="right" valign="top">virtual std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IConfig.html#a516879e39f2e46f69bb4ef1f1fe7023c">benchmarkWarmupTime</a> () const =0</td></tr>
<tr class="separator:a516879e39f2e46f69bb4ef1f1fe7023c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classCatch_1_1NonCopyable"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classCatch_1_1NonCopyable')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classCatch_1_1NonCopyable.html">Catch::NonCopyable</a></td></tr>
<tr class="memitem:a4b492dd5753f9952350fb64dc6cb9fe2 inherit pro_methods_classCatch_1_1NonCopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a4b492dd5753f9952350fb64dc6cb9fe2">NonCopyable</a> ()</td></tr>
<tr class="separator:a4b492dd5753f9952350fb64dc6cb9fe2 inherit pro_methods_classCatch_1_1NonCopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81254677280fef337eb4a676e91e3293 inherit pro_methods_classCatch_1_1NonCopyable"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a81254677280fef337eb4a676e91e3293">~NonCopyable</a> ()</td></tr>
<tr class="separator:a81254677280fef337eb4a676e91e3293 inherit pro_methods_classCatch_1_1NonCopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b492dd5753f9952350fb64dc6cb9fe2 inherit pro_methods_classCatch_1_1NonCopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a4b492dd5753f9952350fb64dc6cb9fe2">NonCopyable</a> ()</td></tr>
<tr class="separator:a4b492dd5753f9952350fb64dc6cb9fe2 inherit pro_methods_classCatch_1_1NonCopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81254677280fef337eb4a676e91e3293 inherit pro_methods_classCatch_1_1NonCopyable"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a81254677280fef337eb4a676e91e3293">~NonCopyable</a> ()</td></tr>
<tr class="separator:a81254677280fef337eb4a676e91e3293 inherit pro_methods_classCatch_1_1NonCopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="adadf7c57478e4b0c83bea5b38d2dbc87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adadf7c57478e4b0c83bea5b38d2dbc87">&#9670;&nbsp;</a></span>~IConfig() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IConfig::~IConfig </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adadf7c57478e4b0c83bea5b38d2dbc87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adadf7c57478e4b0c83bea5b38d2dbc87">&#9670;&nbsp;</a></span>~IConfig() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IConfig::~IConfig </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a363f3388a439d02217f37198eff96744"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a363f3388a439d02217f37198eff96744">&#9670;&nbsp;</a></span>abortAfter() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual int Catch::IConfig::abortAfter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a363f3388a439d02217f37198eff96744"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a363f3388a439d02217f37198eff96744">&#9670;&nbsp;</a></span>abortAfter() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual int Catch::IConfig::abortAfter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aadb95f849359de1e6eb915aab063e542"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadb95f849359de1e6eb915aab063e542">&#9670;&nbsp;</a></span>allowThrows() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::allowThrows </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aadb95f849359de1e6eb915aab063e542"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadb95f849359de1e6eb915aab063e542">&#9670;&nbsp;</a></span>allowThrows() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::allowThrows </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae1ec73d460a2b58c7c9b022a430a34dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1ec73d460a2b58c7c9b022a430a34dd">&#9670;&nbsp;</a></span>benchmarkConfidenceInterval() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual double Catch::IConfig::benchmarkConfidenceInterval </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae1ec73d460a2b58c7c9b022a430a34dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1ec73d460a2b58c7c9b022a430a34dd">&#9670;&nbsp;</a></span>benchmarkConfidenceInterval() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual double Catch::IConfig::benchmarkConfidenceInterval </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9aa1eafdbe510e27bf319233969ee2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9aa1eafdbe510e27bf319233969ee2c">&#9670;&nbsp;</a></span>benchmarkNoAnalysis() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::benchmarkNoAnalysis </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9aa1eafdbe510e27bf319233969ee2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9aa1eafdbe510e27bf319233969ee2c">&#9670;&nbsp;</a></span>benchmarkNoAnalysis() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::benchmarkNoAnalysis </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b8e5581be01f4773593f8b85eb7db98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b8e5581be01f4773593f8b85eb7db98">&#9670;&nbsp;</a></span>benchmarkResamples() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned int Catch::IConfig::benchmarkResamples </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b8e5581be01f4773593f8b85eb7db98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b8e5581be01f4773593f8b85eb7db98">&#9670;&nbsp;</a></span>benchmarkResamples() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned int Catch::IConfig::benchmarkResamples </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a583734a61796b495b80779a6540eb6cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a583734a61796b495b80779a6540eb6cc">&#9670;&nbsp;</a></span>benchmarkSamples() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual int Catch::IConfig::benchmarkSamples </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a583734a61796b495b80779a6540eb6cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a583734a61796b495b80779a6540eb6cc">&#9670;&nbsp;</a></span>benchmarkSamples() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual int Catch::IConfig::benchmarkSamples </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a516879e39f2e46f69bb4ef1f1fe7023c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a516879e39f2e46f69bb4ef1f1fe7023c">&#9670;&nbsp;</a></span>benchmarkWarmupTime() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::chrono::milliseconds Catch::IConfig::benchmarkWarmupTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a516879e39f2e46f69bb4ef1f1fe7023c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a516879e39f2e46f69bb4ef1f1fe7023c">&#9670;&nbsp;</a></span>benchmarkWarmupTime() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::chrono::milliseconds Catch::IConfig::benchmarkWarmupTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afc801995e115557f90e41f3d6e96908d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc801995e115557f90e41f3d6e96908d">&#9670;&nbsp;</a></span>getSectionsToRun() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::vector&lt;std::string&gt; const&amp; Catch::IConfig::getSectionsToRun </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afc801995e115557f90e41f3d6e96908d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc801995e115557f90e41f3d6e96908d">&#9670;&nbsp;</a></span>getSectionsToRun() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::vector&lt;std::string&gt; const&amp; Catch::IConfig::getSectionsToRun </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1b8a299344a493eb98c12faae48421d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b8a299344a493eb98c12faae48421d7">&#9670;&nbsp;</a></span>getTestsOrTags() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::vector&lt;std::string&gt; const&amp; Catch::IConfig::getTestsOrTags </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1b8a299344a493eb98c12faae48421d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b8a299344a493eb98c12faae48421d7">&#9670;&nbsp;</a></span>getTestsOrTags() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::vector&lt;std::string&gt; const&amp; Catch::IConfig::getTestsOrTags </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a49a475bbeb3180c06799d6d958914649"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49a475bbeb3180c06799d6d958914649">&#9670;&nbsp;</a></span>hasTestFilters() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::hasTestFilters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a49a475bbeb3180c06799d6d958914649"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49a475bbeb3180c06799d6d958914649">&#9670;&nbsp;</a></span>hasTestFilters() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::hasTestFilters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f1b0391019b9ce69921527a684eab23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f1b0391019b9ce69921527a684eab23">&#9670;&nbsp;</a></span>includeSuccessfulResults() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::includeSuccessfulResults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f1b0391019b9ce69921527a684eab23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f1b0391019b9ce69921527a684eab23">&#9670;&nbsp;</a></span>includeSuccessfulResults() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::includeSuccessfulResults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a160c6f6e19ed6ae946f7a9e737099189"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a160c6f6e19ed6ae946f7a9e737099189">&#9670;&nbsp;</a></span>minDuration() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual double Catch::IConfig::minDuration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a160c6f6e19ed6ae946f7a9e737099189"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a160c6f6e19ed6ae946f7a9e737099189">&#9670;&nbsp;</a></span>minDuration() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual double Catch::IConfig::minDuration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa2315800a05c19db71518b1edc39d43b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2315800a05c19db71518b1edc39d43b">&#9670;&nbsp;</a></span>name() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string Catch::IConfig::name </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa2315800a05c19db71518b1edc39d43b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2315800a05c19db71518b1edc39d43b">&#9670;&nbsp;</a></span>name() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string Catch::IConfig::name </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae049eb45979d841073fa65d1094c7f14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae049eb45979d841073fa65d1094c7f14">&#9670;&nbsp;</a></span>rngSeed() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned int Catch::IConfig::rngSeed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae049eb45979d841073fa65d1094c7f14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae049eb45979d841073fa65d1094c7f14">&#9670;&nbsp;</a></span>rngSeed() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned int Catch::IConfig::rngSeed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0fc59c9aba1d4018538d5526daa5eb78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fc59c9aba1d4018538d5526daa5eb78">&#9670;&nbsp;</a></span>runOrder() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1RunTests.html#ab56bd851b1dd085869992d1a9d73dc5d">RunTests::InWhatOrder</a> Catch::IConfig::runOrder </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0fc59c9aba1d4018538d5526daa5eb78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fc59c9aba1d4018538d5526daa5eb78">&#9670;&nbsp;</a></span>runOrder() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1RunTests.html#ab56bd851b1dd085869992d1a9d73dc5d">RunTests::InWhatOrder</a> Catch::IConfig::runOrder </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b886c5aad9001e90f63a7cf0726af63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b886c5aad9001e90f63a7cf0726af63">&#9670;&nbsp;</a></span>shouldDebugBreak() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::shouldDebugBreak </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b886c5aad9001e90f63a7cf0726af63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b886c5aad9001e90f63a7cf0726af63">&#9670;&nbsp;</a></span>shouldDebugBreak() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::shouldDebugBreak </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abaa97d281484278291f0d3db6d404aeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abaa97d281484278291f0d3db6d404aeb">&#9670;&nbsp;</a></span>showDurations() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1ShowDurations.html#a82fa0174554187220c1eda175f122ee1">ShowDurations::OrNot</a> Catch::IConfig::showDurations </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abaa97d281484278291f0d3db6d404aeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abaa97d281484278291f0d3db6d404aeb">&#9670;&nbsp;</a></span>showDurations() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1ShowDurations.html#a82fa0174554187220c1eda175f122ee1">ShowDurations::OrNot</a> Catch::IConfig::showDurations </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa288bf92ccd0aafd85409d8aefdf738c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa288bf92ccd0aafd85409d8aefdf738c">&#9670;&nbsp;</a></span>showInvisibles() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::showInvisibles </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa288bf92ccd0aafd85409d8aefdf738c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa288bf92ccd0aafd85409d8aefdf738c">&#9670;&nbsp;</a></span>showInvisibles() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::showInvisibles </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa4c3fe0825e7e6ebdcfa6abc7abf3617"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4c3fe0825e7e6ebdcfa6abc7abf3617">&#9670;&nbsp;</a></span>stream() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::ostream&amp; Catch::IConfig::stream </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa4c3fe0825e7e6ebdcfa6abc7abf3617"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4c3fe0825e7e6ebdcfa6abc7abf3617">&#9670;&nbsp;</a></span>stream() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::ostream&amp; Catch::IConfig::stream </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a03a2fd8221d896d12bf3684ab2a03588"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03a2fd8221d896d12bf3684ab2a03588">&#9670;&nbsp;</a></span>testSpec() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual TestSpec const&amp; Catch::IConfig::testSpec </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a03a2fd8221d896d12bf3684ab2a03588"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03a2fd8221d896d12bf3684ab2a03588">&#9670;&nbsp;</a></span>testSpec() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual TestSpec const&amp; Catch::IConfig::testSpec </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a87ec19a6b486eb5b5015cf7738fee026"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87ec19a6b486eb5b5015cf7738fee026">&#9670;&nbsp;</a></span>useColour() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1UseColour.html#a6aa78da0c2de7539bb9e3757e204a3f1">UseColour::YesOrNo</a> Catch::IConfig::useColour </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a87ec19a6b486eb5b5015cf7738fee026"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87ec19a6b486eb5b5015cf7738fee026">&#9670;&nbsp;</a></span>useColour() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1UseColour.html#a6aa78da0c2de7539bb9e3757e204a3f1">UseColour::YesOrNo</a> Catch::IConfig::useColour </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a55aff5924bdbb3f558775821b1eb4b3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55aff5924bdbb3f558775821b1eb4b3d">&#9670;&nbsp;</a></span>verbosity() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceCatch.html#af85c0d46dfe687d923a157362fd07737">Verbosity</a> Catch::IConfig::verbosity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a55aff5924bdbb3f558775821b1eb4b3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55aff5924bdbb3f558775821b1eb4b3d">&#9670;&nbsp;</a></span>verbosity() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceCatch.html#af85c0d46dfe687d923a157362fd07737">Verbosity</a> Catch::IConfig::verbosity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a75d970c495a28e46b8e9b04a1d32149f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75d970c495a28e46b8e9b04a1d32149f">&#9670;&nbsp;</a></span>warnAboutMissingAssertions() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::warnAboutMissingAssertions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a75d970c495a28e46b8e9b04a1d32149f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75d970c495a28e46b8e9b04a1d32149f">&#9670;&nbsp;</a></span>warnAboutMissingAssertions() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::warnAboutMissingAssertions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a30590623e3918825f2896c2262bf6fe3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30590623e3918825f2896c2262bf6fe3">&#9670;&nbsp;</a></span>warnAboutNoTests() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::warnAboutNoTests </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a30590623e3918825f2896c2262bf6fe3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30590623e3918825f2896c2262bf6fe3">&#9670;&nbsp;</a></span>warnAboutNoTests() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IConfig::warnAboutNoTests </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
